<div class="container">
  <button mat-icon-button (click)="togglePurchase(grocery)" color="primary">
    <mat-icon>{{ grocery.purchased ? 'keyboard_return' : 'done' }}</mat-icon>
  </button>
  <mat-form-field appearance="standard" class="field">
    <input
      matInput
      #input
      type="text"
      [formControl]="name"
      [ngClass]="{ purchased: grocery.purchased }"
      autocomplete="off"
    />
    <button
      matSuffix
      mat-icon-button
      (click)="deleteGrocery(grocery.id)"
      color="warn"
    >
      <mat-icon>clear</mat-icon>
    </button>
  </mat-form-field>
</div>
